Page MenuHomePhabricator

[FPEnv] Use typed accessors in FPOptions
ClosedPublic

Authored by sepavloff on Sep 16 2020, 8:11 PM.

Details

Summary

Previously methods FPOptions::get* returned unsigned value even if the
corresponding property was represented by specific enumeration type. With
this change such methods return actual type of the property. It also
allows printing value of a property as text rather than integer code.

Diff Detail

Event Timeline

sepavloff created this revision.Sep 16 2020, 8:11 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptSep 16 2020, 8:11 PM
sepavloff requested review of this revision.Sep 16 2020, 8:11 PM
mibintc accepted this revision.Sep 17 2020, 7:21 AM

LGTM - thanks

This revision is now accepted and ready to land.Sep 17 2020, 7:21 AM
This revision was landed with ongoing or failed builds.Sep 18 2020, 12:17 AM
This revision was automatically updated to reflect the committed changes.